#### Previous topic

scipy.linalg.cho_solve

#### Next topic

scipy.linalg.polar

# scipy.linalg.cho_solve_banded

`scipy.linalg.``cho_solve_banded`(cb_and_lower, b, overwrite_b=False, check_finite=True)

  Solve the linear equations A x = b, given the Cholesky factorization of A.

  Parameters:

  (cb, lower) : tuple, (array, bool)

  > cb is the Cholesky factorization of A, as given by cholesky_banded. lower must be the same value that was given to cholesky_banded.

  b : array

  > Right-hand side

  overwrite_b : bool, optional

  > If True, the function will overwrite the values in b.

  check_finite : bool, optional

  > Whether to check that the input matrices contain only finite numbers. Disabling may give a performance gain, but may result in problems (crashes, non-termination) if the inputs do contain infinities or NaNs.

  Returns:

  x : array

  > The solution to the system A x = b

  See also

  `cholesky_banded`
    Cholesky factorization of a banded matrix

  Notes

  New in version 0.8.0.